[TASK] Allow installation of composer installers 1.2.x 15/47515/2
authorHelmut Hummel <info@helhum.io>
Wed, 6 Apr 2016 14:03:13 +0000 (16:03 +0200)
committerHelmut Hummel <helmut.hummel@typo3.org>
Wed, 6 Apr 2016 14:29:42 +0000 (16:29 +0200)
The newer version of composer installers has extendend
features, but is fully backwards compatible and proven to work nicely
with TYPO3 6.2.

Resolves: #75423
Releases: 6.2
Change-Id: Iaa25df38a55cb0276931123b549f60b86d0c5088
Reviewed-on: https://review.typo3.org/47515
Reviewed-by: Mathias Brodala <mbrodala@pagemachine.de>
Tested-by: Mathias Brodala <mbrodala@pagemachine.de>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Tested-by: Helmut Hummel <helmut.hummel@typo3.org>
composer.json

index 33c5d25..7f89407 100644 (file)
@@ -36,7 +36,7 @@
                "ext-xml": "*",
                "helhum/class-alias-loader": "1.1.5",
                "doctrine/instantiator": "1.0.5",
-               "typo3/cms-composer-installers": "~1.1.4"
+               "typo3/cms-composer-installers": ">1.1.4,<1.3.0"
        },
        "require-dev": {
                "mikey179/vfsStream": "1.3.*@dev",